Merge branch 'bugfix/popt-1.16-apply-patches'
authorDavid Korth <gerbilsoft@gerbilsoft.com>
Mon, 7 Sep 2015 21:20:22 +0000 (17:20 -0400)
committerDavid Korth <gerbilsoft@gerbilsoft.com>
Mon, 7 Sep 2015 21:20:22 +0000 (17:20 -0400)
commit8cf5a82ca42c04f48ce56e179ceeec5cec98fd98
tree518f62bc4b0d9c0a5b653e24ec051f0f73168d2c
parent30a9703483aba11a71ffdf0d235949c429919a9e
parentb895b6ad009a198b0a56a6b013839534bc5d508b
Merge branch 'bugfix/popt-1.16-apply-patches'

These patches from Fedora and openSUSE fix a few issues, including
alignment checks and exec alias failures, plus various documentation
fixes.

There's also some fixes for glibc-2.17's secure_getenv() that I already
applied myself, but this brings it closer to upstream, and adds a wrapper
version for platforms that don't have secure_getenv(), e.g. Windows and
all non-GNU systems like Mac OS X.

Sidenote: The strerror_r() patch was NOT applied, since it's incorrect.
See commit cadb3760858182897c0d94785d6de7e53b4c984e for more information.
([popt] Partially applied patches/popt-1.16-28.19.suse/popt-libc-updates.patch.)